module.exports = {
    "env": {
        "es6": true,
        "node": true,
        "jest": true
    },
    "extends": [
        "airbnb",
        "prettier",
        "prettier/react",
        "plugin:prettier/recommended", 
        "eslint-config-prettier"
    ],
    "globals": {
        "Atomics": "readonly",
        "SharedArrayBuffer": "readonly"
    },
    "parser": "babel-eslint",
    "parserOptions": {
        "ecmaFeatures": {
            "jsx": true
        },
        "ecmaVersion": 2018,
        "sourceType": "module"
    },
    "plugins": ["prettier"],
    "rules": {
        "react/jsx-props-no-spreading": "off",
        "no-use-before-define": "off",
        "react/jsx-filename-extension": "off",
        "react/prop-types": "off",
        "comma-dangle": ["error", "always-multiline"],
        "import/prefer-default-export": "off",
        "max-len": ["error", {"code": 80 }],
        "import/no-unresolved": "off",
        "arrow-parens": ["error", "as-needed"]
    },
    "settings": {
        "import/resolver": {
            "node": {
                "paths": ["src"]
            },
            "babel-module": {}
        }
    }
}